<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Contacto</title>
    <!-- Generic -->
    <meta name="robots" content="INDEX, FOLLOW"/>
    <meta name="description" content="" />

    <!-- Fancy -->
    <meta property="fancy:name" content=""/>
    <meta property="fancy:images" content="https://www.gemi.mx/images/3d717f835a61ee569e371643ab379329.gif"/>
    <meta property="fancy:description" content=""/>
    <meta property="fancy:category" content="Cars and Vehicles">

    <!-- Global Canonical -->
    <link rel="canonical" href=""/>
    <meta property="og:url" content=""/>


    <!-- Facebook -->
    <meta property="og:type" content="website"/>
    <meta property="og:title" content=""/>
    <meta property="og:site_name" content=""/>
    <meta property="og:description" content="" />
    <meta property="og:image" content="https://www.gemi.mx/images/3d717f835a61ee569e371643ab379329.gif" />
    <meta property="og:locale" content="es_ES" />

    <!-- Twitter -->
    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:site" content="@">
    <meta name="twitter:creator" content="@udmtz">
    <meta name="twitter:title" content="">
    <meta name="twitter:description" content="">
    <meta name="twitter:image" content="https://www.gemi.mx/images/3d717f835a61ee569e371643ab379329.gif"/>


    <link rel="stylesheet" href="assets/css/bootstrap.min.css">
    <link rel="stylesheet" href="assets/css/styles.css">
    <link href="assets/css/fontawesome.min.css" rel="stylesheet">
    <link href="assets/css/eva-icons.css" rel="stylesheet">
    <script src="assets/js/vue.js"></script>
    <script src="assets/js/vcardjs.js"></script>
    <script src="assets/js/vCardFormatter.js"></script>

</head>
<body>

<div id="app" class="container-fluid position-relative" v-cloak=""  >
    <!-- carousel -->
    <div class="row" style="min-height: 320px">
        <div class="col h-100">
            <div class="top-logo" @click="onClickLogoInternational">
                <img src="assets/img/logo-international.gif">
            </div>
            <div id="carousel1" class="carousel slide" data-ride="carousel">
                <div class="carousel-inner">
                    <div :class="`carousel-item ${ ix == 0 ? 'active':'' }`"  v-for="(img, ix) of cardData.slides">
                        <div class="d-block" :style="`background-image: url(${img})`"></div>
                    </div>
                </div>
                <a class="carousel-control-prev" href="#carousel1" role="button" data-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="sr-only">Anterior</span>
                </a>
                <a class="carousel-control-next" href="#carousel1" role="button" data-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="sr-only">Siguiente</span>
                </a>
            </div>

        </div>
    </div>

    <template v-if="cardData.seccionMostrada == 'detalles'">
        <div class="row mt-4">
            <div class="col">
                <div class="grid-tarjeta">
                    <div class="grid-tarjeta-d1">&nbsp;</div>
                    <!-- DOCUMENTOS / Promociones -->
                    <div class="grid-tarjeta-d2 d-flex" style="justify-self: center">
                        <div class="text-center mb-2 mr-2" v-if="cardData.mostrarBtnDocumentos">
                            <a @click="onClickCambiarSeccion('documentos')" class="btn btn-dark btn-lg btn-icon">
                                <i class="fa fa-archive" aria-hidden="true"></i>
                            </a>
                            <div> Documentos </div>
                        </div>
                        <div class="text-center mb-2">
                            <a href="https://www.gemi.mx/promociones.html" class="btn btn-dark btn-lg btn-icon">
                                <i class="fa fa-star text-warning" aria-hidden="true"></i>
                            </a>
                            <div> Promociones </div>
                        </div>
                    </div>
                    <div class="grid-tarjeta-d3"> </div>
                    <!-- NOSOTROS / MIS DATOS -->
                    <div class="grid-tarjeta-d4">
                        <div class="text-center mb-2">
                            <a href="https://www.gemi.mx/Social/So" class="btn btn-dark btn-lg btn-icon">
                                <i class="fas fa-share-square"></i>
                            </a>
                            <div> Redes sociales </div>
                        </div>
                        <div class="text-center mb-2">
                            <a @click="onClickCambiarSeccion('mis-datos')" class="btn btn-dark btn-lg btn-icon">
                                <i class="fas fa-tags"></i>
                            </a>
                            <div> Mis datos </div>
                        </div>
                    </div>
                    <!-- AVATAR -->
                    <div class="grid-tarjeta-d5 " style="justify-self: center; width: 80%   ">
                        <div class="gemi_avatar-container">
                            <div class="avatar-aspect-ratio"></div>
                            <img v-if="cardData.datosTrabajador.fotoUrl.length"
                                 :src="cardData.datosTrabajador.fotoUrl"
                                 alt="Avatar"
                                 class="rounded-circle gemi_avatar" >
                            <img v-else
                                 src="assets/img/personal/boy.png"
                                 alt="Avatar"
                                 class="rounded-circle gemi_avatar" >
                        </div>
                    </div>
                    <!-- WHATSAPP / CONTACTO -->
                    <div class="grid-tarjeta-d6">
                        <div class="text-center mb-2">
                            <a :href="`https://api.whatsapp.com/send?phone=${cardData.datosTrabajador.telefonoMobil}&amp;text=Hola,%20me%20estoy%20contactando%20contigo%20por%20medio%20de%20tu%20tarjeta%20digital.`" class="btn btn-dark btn-lg btn-icon mb-2">
                                <i class="fab fa-whatsapp"></i>
                            </a>
                            <div> WhatsApp </div>
                        </div>
                        <div class="text-center mb-2">
                            <a @click="generarVCard()" class="btn btn-dark btn-lg btn-icon mb-2">
                                <i class="fas fa-address-card"></i>
                            </a>
                            <div> Contacto </div>
                        </div>
                    </div>
                    <div class="grid-tarjeta-d7"> </div>
                    <div class="grid-tarjeta-d8"> </div>
                    <div class="grid-tarjeta-d9"> </div>
                </div>
            </div>
        </div>

        <div class="row mt-1" v-cloak >
            <div class="col text-center">
                <p class="gemi_asesor_nombre mb-0">
                    {{ cardData.datosTrabajador.nombre }}
                </p>
                <p class="gemi_asesor_cargo mb-0">
                    {{ cardData.datosTrabajador.puesto }}
                </p>
                <p class="gemi_asesor_sucursal mb-0">
                    {{ cardData.datosTrabajador.sucursal }}
                </p>
            </div>
        </div>

        <div class="row justify-content-center mt-4">
            <div class="col-4 col-lg-3" >
                <img src="assets/img/logo-gemi-w.png" alt="" class="w-100">
            </div>
        </div>



    </template>

    <div class="gemi_asesor_detalles " v-else-if="cardData.seccionMostrada == 'mis-datos'" >

        <div class="row mt-4 ">
            <div class="col">
                <div class="text-center mb-2">
                    <a href="https://www.gemi.mx/Social/So" class="btn btn-dark btn-lg btn-icon">
                        <i class="fas fa-share-square"></i>
                    </a>
                    <div> Nosotros </div>
                </div>
            </div>
            <div class="col">
                <div class="text-center mb-2">
                    <a @click="onClickCambiarSeccion('detalles')" class="btn btn-dark btn-lg btn-icon">
                        <i class="fas fa-angle-double-left"></i>
                    </a>
                    <div> Regresar </div>
                </div>
            </div>
            <div class="col">
                <div class="text-center mb-2">
                    <a  @click="generarVCard()" class="btn btn-dark btn-lg btn-icon mb-2">
                        <i class="fas fa-address-card"></i>
                    </a>
                    <div> Contacto </div>
                </div>
            </div>
        </div>
        <div class="row mt-1" v-cloak >
            <div class="col text-center">
                <p class="gemi_asesor_nombre mb-0">
                    {{ cardData.datosTrabajador.nombre }}
                </p>
                <p class="gemi_asesor_cargo mb-0">
                    {{ cardData.datosTrabajador.puesto }}
                </p>
                <p class="gemi_asesor_sucursal mb-0">
                    {{ cardData.datosTrabajador.sucursal }}
                </p>
                <p class="gemi_asesor_sucursal mb-0">
                    <i class="fas fa-at"></i>
                    <a :href="`mailto:${cardData.datosTrabajador.correo}`">{{ cardData.datosTrabajador.correo }}</a>
                </p>
                <p class="gemi_asesor_sucursal mb-0">
                    <i class="fas fa-mobile-alt"></i>
                    <a :href="`tel:${cardData.datosTrabajador.telefonoMobil}`">{{ formatPhoneText(cardData.datosTrabajador.telefonoMobil) }}</a>
                </p>
                <p class="gemi_asesor_sucursal mb-0">
                    <i class="fas fa-phone"></i>
                    <a :href="`tel:${cardData.datosTrabajador.telefonoTrabajo}`">{{ formatPhoneText(cardData.datosTrabajador.telefonoTrabajo) }}</a>
                    <span v-if="cardData.datosTrabajador.extTrabajo.length">ext. {{ cardData.datosTrabajador.extTrabajo }}</span>
                </p>

                <p class="gemi_asesor_telefono_gemi mb-0">
                    <i class="far fa-building"></i>
                    <a :href="`tel:+528001344364`">800  134 GEMI (4364)</a>
                </p>
                <p class="gemi_asesor_sucursal mb-0">
                    <i class="fas fa-map-marked-alt"></i>
                    {{ cardData.datosTrabajador.direccion }}

                </p>
            </div>
        </div>


    </div>

    <div class="seccion__documentos mt-4" v-else-if="cardData.seccionMostrada == 'documentos'" >
        
        <div class="row">
            <div class="col">
                <div class="text-center mb-2">
                    <a @click="onClickCambiarSeccion('detalles')" class="btn btn-dark btn-lg btn-icon">
                        <i class="fas fa-angle-double-left"></i>
                    </a>
                    <div> Regresar </div>
                </div>
            </div>
            <!-- Documentos generales, es decir para todos los usuarios-->

            <template v-for="documento of documentoGenerales">

                <div class="col">
                    <div class="text-center mb-2">
                        <div @click="onClickMostrarDocumento(documento.url_archivo)" class="btn btn-dark btn-lg btn-icon">
                            <i class="far fa-file-alt"></i>
                            <i class="documento.icono"></i>
                        </div>
                        <div>{{ documento.nombre }}</div>
                    </div>
                </div>
            </template>
            <!-- Documentos del usuario -->
            <template v-for="documento of cardData.datosTrabajador.documentosUsuario">
            <div class="col d-flex justify-content-center ">
                <div class="border rounded-circle d-flex align-items-center justify-content-center btn-curriculum"
                     @click="onClickMostrarDocumento(documento.url_archivo)"
                >
                    <i v-if="documento.icono" :class="documento.icono"></i>
                    <div v-else-if="documento.iconoImagen" :style="{backgroundImage: `url('${documento.iconoImagen}');`}"></div>
                </div>
            </div>
            </template>
        </div>

        <div class="row mt-4">
            <!-- Documentos por categoría-->
            <template v-for="documento of cardData.listaDocumentosCategoria">
                <div class="col d-flex justify-content-center ">
                    <div :class="[ documento.icono ? ['btn', 'btn-dark', 'btn-lg']  : '' ]"

                         @click="onClickMostrarDocumento(documento.url_archivo)"
                    >
                        <i v-if="documento.icono" :class="documento.icono"></i>
                        <div v-if="documento.icono">{{ documento.nombre }}</div>
                        <img v-else-if="documento.iconoImagen.length"
                             class="imagen_icon"
                             :src="documento.iconoImagen"
                             :alt="documento.nombre">
                    </div>
                </div>

            </template>
        </div>


    </div>

    <div class="seccion__documentos mt-4" v-else-if="cardData.seccionMostrada == 'mostrarDocumento'" >

        <div class="row mt-4">
            <div class="col">
                <div class="text-center mb-2">
                    <a @click="onClickCambiarSeccion('documentos')" class="btn btn-dark btn-lg btn-icon">
                        <i class="fas fa-angle-double-left"></i>
                    </a>
                    <div> Regresar </div>
                </div>
            </div>
            <div class="col">
                <div class="text-center mb-2">
                    <a download class="btn btn-dark btn-lg btn-icon"
                       target="_blank"
                       v-if="cardData.documentoElegido.length"
                       :href="cardData.documentoElegido">
                        <i class="fa fa-download" aria-hidden="true"></i>
                    </a>
                    <div> Descargar </div>
                </div>
            </div>
        </div>

        <div class="row" v-if="cardData.documentoElegido.length">
            <div class="col-sm-12">
                <iframe
                        :src="'https://docs.google.com/viewer?url=' + cardData.documentoElegido + '&embedded=true'"
                        style="width: 100%; border: none" height="600"></iframe>


            </div>
        </div>

    </div>



</div>



<script src="assets/js/jquery.min.js"></script>
<script src="assets/js/poper.min.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
<script src="assets/js/app.js"></script>

</body>
</html>
